package org.fouram.dto.input;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

public class SapReportAuthDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	@Data
	@Builder
	@NoArgsConstructor
	@AllArgsConstructor
	@JsonIgnoreProperties(ignoreUnknown = true)
	public static class SapReportAuthSaveDTO implements Serializable {
		private static final long serialVersionUID = 1L;
		private String wxUserId;
		private String sapOrgIds;
	}
	
	@Data
	@Builder
	@NoArgsConstructor
	@AllArgsConstructor
	@JsonIgnoreProperties(ignoreUnknown = true)
	public static class SapReportAuthSelectListDTO implements Serializable {
		private static final long serialVersionUID = 1L;
		private String wxName;
	}

	@Data
	@Builder
	@NoArgsConstructor
	@AllArgsConstructor
	@JsonIgnoreProperties(ignoreUnknown = true)
	public static class SapReportAuthDeleteDTO implements Serializable {
		private static final long serialVersionUID = 1L;
		private Long id;
	}
}
